statistics(1)

NAME
statistics - Image statistics

SYNOPSIS
statistics [options] ImageFile0 [ImageFile1 ...]

DESCRIPTION
Statistical computations on image pixel intensities, i.e., means and standard deviations

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--label, -l
    Interpret voxel values as labels

--gray, -g
    Interpret voxel values as gray values (default) [This is the default]

--log, -L
    Apply log() function to data

--exp, -e
    Apply exp() function to data

--num-bins <integer>, -n <integer>
    Number of histogram bins. [Default: 256]

--column, -C
    Write statistics in column format rather than line format.

--e-notation, -E
    Write floating point numbers in #e# notation (i.e., 1e-3 instead of 0.001)

--mask <string>, -m <string>
    Analyze region based on binary mask file [Default: disabled]

--Mask <string>, -M <string>
    Analyze regions separately based on mask file (label field). [Default: NONE]

--mask-output-all-up-to <integer>
    Output results for all mask values up to given value, even such that do not actually appear in the mask. [Default: 0]

--percentile <double>, -p <double>
    Add value to list of percentile to compute.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.